/******************************************************************************
* sfscr.h  - stantart function for screen handling.                           *
*                                                                             *
*                                                                             *
*                                                                             *
*                                                                             *
*                                                         07/18/88            *
******************************************************************************/


#define SCR_RED        4
#define SCR_GREEN      2
#define SCR_BLUE       1
#define SCR_WHITE      (SCR_RED+SCR_GREEN+SCR_BLUE)
#define SCR_YELLOW     (SCR_RED+SCR_GREEN)
#define SCR_AQUA       (SCR_GREEN+SCR_BLUE)
#define SCR_MAGENTA    (SCR_RED+SCR_BLUE)
#define SCR_BLACK      0
#define SCR_BRIGHT     1
#define SCR_DIM        0
#define SCR_NOBLINK    0
#define SCR_BLINK      1
#define SCR_CURSOR_ON  0
#define SCR_CURSOR_OFF 0xffff
#define SCR_CLEAR_ALL  0


#define NO_MOUSE       0  /* no mouse installed or wanted */

/*  standart screen attributes   foreground background normal indensity noblink */


#define SCR_Awb        7      /*  white     black */
#define SCR_AwB       13      /*  white     blue  */
#define SCR_Awr       55      /*  white     red   */
#define SCR_Abw      112      /*  black     white */
#define SCR_AbB       16      /*  black     blue  */
#define SCR_Abr       48      /*  black     red   */



struct COLORSELECT {
                    char         ctext[10][21];
                    char         cattr[10];
                   } scr_colorset;



sfscr_clear(char,int);
/******************************************************************************
*  sfscr_clear  pass number of lines to clear or SCR_CLEAR_ALL to whole screen*
******************************************************************************/
/*
char attr;
int lines; */




char sfscr_make_attr(int,int,int,int);
/******************************************************************************
*  sfscr_make_attr   returns a one bye char screen attribute.                 *
*                                                                             *
*                                                                             *
*                    fg =  forground color SCR_RED or SCR_GREEN or SCR_GREEN  *
*                                          SCR_WHITE or SCR_YELLOW or         *
*                                          SCR_AQUA or SCR_MAGENTA or         *
*                                          SCR_BLACK                          *
*                                                                             *
*                   bg  =   background color  (use the above color codes      *
*                                                                             *
*                   indensity = indensity of foreground color SCR_DIM or      *
*                               SCR_BRIGHT                                    *
*                                                                             *
*                   blink     =  Blink foreground color  SCR_BLINK or         *
*                                SCR_NOBLINK                                  *
******************************************************************************/
/*
int  fg;
int  bg;
int intensity;
int blink; */


void sfscr_get_attr(char,int *,int *,int *,int *);
/******************************************************************************
*  sfscr_get_attr   returns a the forground, bg, and intensity and blink     *
*                    value of a attribute passed to it.                       *
*                                                                             *
*                    attr = the attribute you wish to get values for.         *
*                                                                             *
*                    fg =  forground color SCR_RED or SCR_GREEN or SCR_GREEN  *
*                                          SCR_WHITE or SCR_YELLOW or         *
*                                          SCR_AQUA or SCR_MAGENTA or         *
*                                          SCR_BLACK                          *
*                                                                             *
*                   bg  =   background color  (use the above color codes      *
*                                                                             *
*                   intensity = indensity of foreground color SCR_DIM or      *
*                               SCR_BRIGHT                                    *
*                                                                             *
*                   blink     =  Blink foreground color  SCR_BLINK or         *
*                                SCR_NOBLINK                                  *
******************************************************************************/
/*
char attr;
int  *fg;
int  *bg;
int *intensity;
int *blink;
*/



void sfscr_printf(char,char *,...);
/****************************************************************************
*  sfscr_printf                                                             *
****************************************************************************/
/*
char attr;
char *ln;  */



void sfscr_xprintf(USHORT,USHORT,char,char *,...);
/****************************************************************************
*  sfscr_xprintf                                                            *
****************************************************************************/
/*
USHORT line;
USHORT col;
char attr;
char *ln;  */




void sfscr_repeat_char(USHORT,char,char);
/******************************************************************************
*  sfscr_repeat_char - repeat char "ch" with attribute "attr"  "count" times  *
******************************************************************************/
/*
USHORT count;
char attr;
char ch; */




void sfscr_xrepeat_char(USHORT,USHORT,USHORT,char,char);
/******************************************************************************
*  sfscr_xrepeat_char - repeat char "ch" with attribute "attr"  "count" times *
*                      at position "line", "column"                           *
******************************************************************************/
/*
USHORT line;
USHORT col;
USHORT count;
char   attr;
char   ch; */



void sfscr_get_cursor_loc(USHORT *,USHORT *);
/******************************************************************************
*  sfscr_get_cursor_loc    gets the current cursor line and column position   *
******************************************************************************/
/*
USHORT *line;
USHORT *col; */


void sfscr_set_cursor_loc(USHORT,USHORT);
/******************************************************************************
*  sfscr_set_cursor_loc   move cursor to line col                             *
******************************************************************************/
/*
USHORT line;
USHORT col;  */



void sfscr_get_cursor_type(VIOCURSORINFO *);
/******************************************************************************
*  sfscr_get_cursor_type    retrieve cursor info                              *
******************************************************************************/
/*
VIOCURSORINFO *cursor_info; */


void sfscr_set_cursor_type(VIOCURSORINFO *);
/******************************************************************************
* sfscr_set_cursor_type  set cursor type                                      *
******************************************************************************/
/*
VIOCURSORINFO *cursor_info;
*/

void sfscr_switch_cursor(USHORT);
/******************************************************************************
*  sfscr_switch_cursor   turn cursor on and off                               *
*                        to turn cursor on use  = SCR_CURSOR_ON               *
*                                      off use  = SCR_CURSOR_OFF              *
******************************************************************************/
/*
USHORT sw;  */



void sfscr_set_attr(char,USHORT,USHORT,USHORT);
/******************************************************************************
* sfscr_set_attr  - set screen atribute for len starting at line col position *
******************************************************************************/
/*
char attr;
USHORT len;
USHORT line;
USHORT col;  */


void sfscr_get_mode(VIOMODEINFO *);
/*******************************************************************************
* sfscr_get_mode(vido_info)                                                    *
*******************************************************************************/
/*
VIOMODEINFO *video_info; */



void sfscr_set_mode(VIOMODEINFO *);
/*******************************************************************************
* sfscr_set_mode   = set video mode                                            *
*******************************************************************************/
/*
VIOMODEINFO *video_info;*/


void sfscr_set_colors(int,int,int,HMOU);
/******************************************************************************
* sfscr_set_color  set the video attribute                                    *
******************************************************************************/
/*
int row;
int col;
int bar;
HMOU mouse;  */


void sfscr_pause_message(int,int,char,char *,HMOU);
/*******************************************************************************
*  sfscr_pasue_message  send message to screen at row, and col wait till       *
*  mouse action or keyborad key pressed                                        *
*  function will restore area of screen changed and return                     *
*******************************************************************************/
/*
int row;
int col;
char attr;
char *message;
HMOU mouse;  */


